using System.Text.Json.Serialization;
using YandexMusic.API.Models.Radio.Restriction;

namespace YandexMusic.API.Models.Radio;

public class YStationRestrictions2
{
    [JsonConverter(typeof(YRestrictionConverter))]
    public YRestriction Diversity { get; set; }
    [JsonConverter(typeof(YRestrictionConverter))]
    public YRestriction Language { get; set; }
    [JsonConverter(typeof(YRestrictionConverter))]
    public YRestriction MoodEnergy { get; set; }
}